@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@400;700&display=swap");

:root {
    --primary: #2b9348;
    --default: #d1d5da;
    --defaultBg: #2f363d;
    --dark: #c9d1d9;
    --darkBg: #0d1117;
}

@font-face {
    font-family: 'Neue Regrade Medium';
    src: url('../fonts/Neue-Regrade-Medium.otf') format('opentype');
    font-style: normal;
}

@font-face {
    font-family: 'Neue Regrade Bold';
    src: url('../fonts/Neue-Regrade-Bold.otf') format('opentype');
    font-style: normal;
}

.date-input {
	display: inline-block;
	position: absolute;
	overflow: hidden;
	clip: rect(0 0 0 0);
	height: 1;
	width: 1;
	margin: -1;
	padding: 0;
}
.icon {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 90px;
	height: var(--icon-size);
	color: rgb(var(--primary-color));
	border-radius: 2rem;
	border: 1px solid rgb(var(--primary-color));
	padding: 0.8rem;
	overflow: hidden;
}
.icon-booked {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 90px;
	height: var(--icon-size);
	color: white;
	background: #B82132;
	border-radius: 2rem;
	padding: 0.8rem;
	overflow: hidden;
}
.icon-free {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 90px;
    height: var(--icon-size);
    color: var(--bs-text-dark);
    background: #f7f4ff;
    border-radius: 2rem;
    padding: 0.8rem;
    overflow: hidden;
}
.icon:hover {
	cursor: pointer;
	background-color: rgba(var(--primary-color), 0.1);
}
.peer:checked ~ .icon {
    background-color: rgba(var(--primary-color), 0.2);
}
.calendar-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.calendar-header .btn {
    background-color: #fff;
    border: none;
    font-size: 1.5rem;
}
.calendar-header .btn:focus {
    box-shadow: none;
}
.calendar-header h2 {
    margin: 0;
    font-size: 1.25rem;
}
.calendar-dates {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
    padding: 0 15px;
}
.calendar-dates .date {
    text-align: center;
    cursor: pointer;
    border-radius: 10px;
    padding: 5px;
    width: 60px;
    background-color: #fff;
}
.calendar-dates .date.active {
    background-color: var(--bs-red);
    color: #fff;
}
.calendar-dates .day-name {
    font-size: 0.875rem;
}
@media (max-width: 576px) {
    .calendar-dates {
        padding: 0 5px;
    }
    .calendar-dates .date {
        width: 50px;
        padding: 3px;
    }
    .calendar-dates .day-name {
        font-size: 0.75rem;
    }
}

/* Shimmering animation */
.shimmer {
    background: linear-gradient(to right, #eeeeee 0%, #f7f7f7 50%, #eeeeee 100%);
    background-size: 200% 100%;
    animation: shimmer 2.7s infinite;
    height: 100%;
    width: 100%;
    border-radius: 10px !important;
}

@keyframes shimmer {
    0% {
        background-position: -200% 0;
    }
    100% {
        background-position: 200% 0;
    }
}

/**
 * Nestable
 */

.dd {
    position: relative;
    display: block;
    margin: 0;
    padding: 0;
    width: auto;
    list-style: none;
    font-size: 13px;
    line-height: 20px;
}

.dd-list {
    display: block;
    position: relative;
    margin: 0;
    padding: 0;
    list-style: none;
}

.dd-list .dd-list {
    padding-left: 30px;
}

.dd-collapsed .dd-list {
    display: none;
}

.dd-item,
.dd-empty,
.dd-placeholder {
    display: block;
    position: relative;
    margin: 0;
    padding: 0;
    min-height: 20px;
    font-size: 13px;
    line-height: 20px;
}

.dd-handle {
    display: flex;
    align-items: center;
    height: 50px;
    color: #333;
    text-decoration: none;
    font-weight: bold;
    border: 1px solid #ccc;
    background: #fafafa;
    background: -moz-linear-gradient(top, #fafafa 0%, #eee 100%);
    -webkit-border-radius: 3px;
    border-radius: 3px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

.dd-handle:hover {
    color: #2ea8e5;
    background: #fff;
}

.dd-item>button {
    display: block;
    position: relative;
    cursor: pointer;
    float: left;
    width: 25px;
    height: 20px;
    margin: 5px 0;
    padding: 0;
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
    border: 0;
    background: transparent;
    font-size: 12px;
    line-height: 1;
    text-align: center;
    font-weight: bold;
}

.dd-item>button:before {
    content: '+';
    display: block;
    position: absolute;
    width: 100%;
    text-align: center;
    text-indent: 0;
}

.dd-item>button[data-action="collapse"]:before {
    content: '-';
}

.dd-placeholder,
.dd-empty {
    margin: 5px 0;
    padding: 0;
    min-height: 30px;
    background: #f2fbff;
    border: 1px dashed #b6bcbf;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

.dd-empty {
    border: 1px dashed #bbb;
    min-height: 100px;
    background-color: #e5e5e5;
    background-image: -webkit-linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff),
        -webkit-linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff);
    background-image: -moz-linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff),
        -moz-linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff);
    background-image: linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff),
        linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff);
    background-size: 60px 60px;
    background-position: 0 0, 30px 30px;
}

.dd-dragel {
    position: absolute;
    pointer-events: none;
    z-index: 9999;
}

.dd-dragel>.dd-item .dd-handle {
    margin-top: 0;
}

.dd-dragel .dd-handle {
    -webkit-box-shadow: 2px 4px 6px 0 rgba(0, 0, 0, .1);
    box-shadow: 2px 4px 6px 0 rgba(0, 0, 0, .1);
}

/**
 * Nestable Extras
 */

.nestable-lists {
    display: block;
    clear: both;
}

#nestable-menu {
    padding: 0;
    margin: 20px 0;
}

#nestable-output,
#nestable2-output {
    width: 100%;
    height: 7em;
    font-size: 0.75em;
    line-height: 1.333333em;
    font-family: Consolas, monospace;
    padding: 5px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

#nestable2 .dd-handle {
    color: #fff;
    border: 1px solid #999;
    background: #bbb;
    background: -webkit-linear-gradient(top, #bbb 0%, #999 100%);
    background: -moz-linear-gradient(top, #bbb 0%, #999 100%);
    background: linear-gradient(top, #bbb 0%, #999 100%);
}

#nestable2 .dd-handle:hover {
    background: #bbb;
}

#nestable2 .dd-item>button:before {
    color: #fff;
}

.dd-hover>.dd-handle {
    background: #2ea8e5 !important;
}

/**
 * Nestable Draggable Handles
 */

.dd3-content {
    display: flex;
    height: 50px;
    align-items: center;
    justify-content: space-between;
    margin: 5px 0;
    padding: 5px 10px 5px 40px;
    color: #333;
    text-decoration: none;
    font-weight: bold;
    border: 1px solid #e9e9e9;
    background: #fafafa;
    /* background: -webkit-linear-gradient(top, #fafafa 0%, #eee 100%); */
    background: -moz-linear-gradient(top, #fafafa 0%, #eee 100%);
    background: linear-gradient(top, #fafafa 0%, #eee 100%);
    -webkit-border-radius: 3px;
    border-radius: 3px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    margin-left: .75rem!important;
}

.dd3-content:hover {
    color: #2ea8e5;
    background: #fff;
}

.dd-dragel>.dd3-item>.dd3-content {
    margin: 0;
}

.dd3-item>button {
    margin-left: 30px;
}

.dd3-handle {
    position: absolute;
    margin: 0;
    cursor: pointer;
    width: 40px;
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
    background: #ddd;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.dd3-handle:before {
    content: '≡';
    display: flex;
    position: absolute;
    width: 100%;
    align-items: center;
    justify-content: center;
    text-indent: 0;
    color: #fff;
    font-size: 20px;
    font-weight: normal;
}

.dd3-handle:hover {
    background: #ddd;
}

#load {
    height: 100%;
    width: 100%;
}

#load {
    position: fixed;
    z-index: 99;
    /* or higher if necessary */
    top: 0;
    left: 0;
    overflow: hidden;
    text-indent: 100%;
    font-size: 0;
    opacity: 0.6;
    background: #E0E0E0 url('loading.gif') center no-repeat;
}

.del-button {
    cursor: pointer;
    text-decoration: none;
}

.edit-button {
    cursor: pointer;
    text-decoration: none;
}

.span-right {
    float: right;
}

.sr-only {
    visibility: hidden;
}

.hidden {
    width: 0;
    height: 0;
    visibility: hidden;
    display: none;
    overflow: hidden;
}

.sbs-title {
    color: #9a9a9a;
    text-transform: uppercase;
    font-size: 0.625rem;
    margin: 0 0 1rem;
    padding: 1rem 0;
}

hr {
    border-top: 1px solid #ececec;
    margin: 3rem 0 2rem;
}

.sbs--border {
    display: flex;
    list-style: none;
    /* Menghilangkan bullet points */
    padding: 0;
    margin: 0;
    border: 1px solid var(--default);
    border-radius: 0.5rem;
}

.sbs--border li {
    flex: 1;
}

.sbs--border li:last-of-type .step::before,
.sbs--border li:last-of-type .step::after {
    display: none;
}

.sbs--border li.finished>.step .indicator {
    background-color: #212529;
    border-color: #212529;
    color: white;
}

.sbs--border li.finished>.step .description {
    color: var(--defaultBg);
}

.sbs--border li.active>.step .indicator {
    border-color: #212529;
    color: #212529;
}

.sbs--border li.active>.step .description {
    color: #212529;
}

.sbs--border .step {
    padding: 1rem 1.5rem;
    display: flex;
    align-items: center;
    position: relative;
}

.sbs--border .step::before,
.sbs--border .step::after {
    content: "";
    height: 45px;
    width: 1px;
    background-color: var(--default);
    position: absolute;
    right: 0;
    top: 50%;
}

.sbs--border .step::before {
    transform-origin: center bottom;
    transform: translateY(-100%) rotate(-25deg);
}

.sbs--border .step::after {
    transform-origin: center top;
    transform: rotate(25deg);
}

.sbs--border .indicator {
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    margin-right: 1rem;
    border: 2px solid var(--default);
    color: #7b7b7b;
}

.sbs--border .description {
    font-weight: bold;
    font-size: 0.875rem;
    color: #7b7b7b;
}

.step-content {
    display: none;
}

.step-content.active {
    display: block;
}

.button-container {
    margin-top: 2rem;
    display: flex;
    justify-content: space-between;
}

.button-container .btn {
    width: 100px;
}

@media (max-width: 768px) {
    .sbs--border {
        flex-direction: column;
    }

    .sbs--border .step {
        padding: 1rem;
        flex-direction: row;
    }

    .sbs--border .step::before,
    .sbs--border .step::after {
        content: none;
        /* Menghilangkan garis horizontal pada versi mobile */
    }

    .sbs--border .indicator {
        margin-right: 1rem;
    }
}